View Issue Details

IDProjectCategoryView StatusLast Update
0014910BuildsysCi.centos.org Ecosystem Testingpublic2018-06-06 03:13
ReporterMartin.Pitt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Summary0014910: Persistent volume for Cockpit in CentOS CI
Descriptionwe've been trying on and off to move Cockpit's upstream CI away from our
self-maintained OpenShift cluster/FedoraInCloud VMs towards an "official" CI
system. ci.centos.org seems appropriate for this.

A while ago, Stef started to investigate this, and tried to create a 100GiB
persistent volume "cockpit-images" that our test pods are supposed to use:

  https://console.apps.ci.centos.org:8443/console/project/cockpit/browse/persistentvolumeclaims/cockpit-images

This has been pending for 5 months, so it's clearly not working. I put the
corresponding YAML below [1].

Are persistent volumes supported at all in CentOS CI? We really need one,
otherwise repeatedly downloading thousands of multi-GB test VM images ever day
would be a ridiculous resource waste. Perhaps the parameters are just wrong?

The guarantees for this don't need to be overly strong:

 * Re-downloading or re-creating the images (in case of total loss) is
   reasonably expensive, but doable. So this doesn't need to live on RAID or
   gluster or anything rock-solid.

 * ReadWriteOnce is sufficient, i. e. the volume does not (necessarily) need to
   be shared/synced between different nodes. It's ok for every node to have its
   own cockpit-images volume. That said, if it's possible or even easier to use
   ReadWriteMany, i. e. share the volume between all nodes, that would increase
   the test efficiency.

Do you have some insight here how to proceed with this?
Additional InformationYAML used to create the volume:

  apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    creationTimestamp: '2018-01-03T19:50:09Z'
    name: cockpit-images
    namespace: cockpit
    resourceVersion: '21784229'
    selfLink: /api/v1/namespaces/cockpit/persistentvolumeclaims/cockpit-images
    uid: 4ddef3d6-f0bf-11e7-8619-0cc47a66a2d4
  spec:
    accessModes:
      - ReadWriteOnce
    resources:
      requests:
        storage: 100Gi
  status:
    phase: Pending
TagsNo tags attached.

Activities

bstinson

bstinson

2018-06-06 03:13

administrator   ~0032018

I added another 100Gi PV for this and the claim got bound.

Currently these volumes are exported via NFS from a machine in the infra. Our plan is to move these to gluster (and dynamic provisioning) later.

Please reopen if you find any trouble.

Issue History

Date Modified Username Field Change
2018-06-05 21:35 Martin.Pitt New Issue
2018-06-06 03:13 bstinson Status new => resolved
2018-06-06 03:13 bstinson Resolution open => fixed
2018-06-06 03:13 bstinson Note Added: 0032018